PageRenderTime 104ms CodeModel.GetById 18ms app.highlight 77ms RepoModel.GetById 1ms app.codeStats 1ms

/crypto/heimdal/appl/rsh/Makefile.in

https://bitbucket.org/freebsd/freebsd-head/
Autoconf | 1063 lines | 948 code | 90 blank | 25 comment | 200 complexity | f6f76539e782d52c0a805804ef6b4dba MD5 | raw file
   1# Makefile.in generated by automake 1.11.1 from Makefile.am.
   2# @configure_input@
   3
   4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
   5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
   6# Inc.
   7# This Makefile.in is free software; the Free Software Foundation
   8# gives unlimited permission to copy and/or distribute it,
   9# with or without modifications, as long as this notice is preserved.
  10
  11# This program is distributed in the hope that it will be useful,
  12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  14# PARTICULAR PURPOSE.
  15
  16@SET_MAKE@
  17
  18# $Id$
  19
  20# $Id$
  21
  22# $Id$
  23
  24VPATH = @srcdir@
  25pkgdatadir = $(datadir)/@PACKAGE@
  26pkgincludedir = $(includedir)/@PACKAGE@
  27pkglibdir = $(libdir)/@PACKAGE@
  28pkglibexecdir = $(libexecdir)/@PACKAGE@
  29am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  30install_sh_DATA = $(install_sh) -c -m 644
  31install_sh_PROGRAM = $(install_sh) -c
  32install_sh_SCRIPT = $(install_sh) -c
  33INSTALL_HEADER = $(INSTALL_DATA)
  34transform = $(program_transform_name)
  35NORMAL_INSTALL = :
  36PRE_INSTALL = :
  37POST_INSTALL = :
  38NORMAL_UNINSTALL = :
  39PRE_UNINSTALL = :
  40POST_UNINSTALL = :
  41build_triplet = @build@
  42host_triplet = @host@
  43DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
  44	$(top_srcdir)/Makefile.am.common \
  45	$(top_srcdir)/cf/Makefile.am.common ChangeLog
  46bin_PROGRAMS = rsh$(EXEEXT)
  47libexec_PROGRAMS = rshd$(EXEEXT)
  48subdir = appl/rsh
  49ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  50am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
  51	$(top_srcdir)/cf/auth-modules.m4 \
  52	$(top_srcdir)/cf/broken-getaddrinfo.m4 \
  53	$(top_srcdir)/cf/broken-glob.m4 \
  54	$(top_srcdir)/cf/broken-realloc.m4 \
  55	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
  56	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
  57	$(top_srcdir)/cf/capabilities.m4 \
  58	$(top_srcdir)/cf/check-compile-et.m4 \
  59	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
  60	$(top_srcdir)/cf/check-man.m4 \
  61	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
  62	$(top_srcdir)/cf/check-type-extra.m4 \
  63	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
  64	$(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
  65	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
  66	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
  67	$(top_srcdir)/cf/find-func-no-libs.m4 \
  68	$(top_srcdir)/cf/find-func-no-libs2.m4 \
  69	$(top_srcdir)/cf/find-func.m4 \
  70	$(top_srcdir)/cf/find-if-not-broken.m4 \
  71	$(top_srcdir)/cf/framework-security.m4 \
  72	$(top_srcdir)/cf/have-struct-field.m4 \
  73	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
  74	$(top_srcdir)/cf/krb-bigendian.m4 \
  75	$(top_srcdir)/cf/krb-func-getlogin.m4 \
  76	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
  77	$(top_srcdir)/cf/krb-readline.m4 \
  78	$(top_srcdir)/cf/krb-struct-spwd.m4 \
  79	$(top_srcdir)/cf/krb-struct-winsize.m4 \
  80	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
  81	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
  82	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
  83	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
  84	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
  85	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
  86	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
  87	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
  88	$(top_srcdir)/cf/roken-frag.m4 \
  89	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
  90	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
  91	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
  92	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
  93	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
  94am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  95	$(ACLOCAL_M4)
  96mkinstalldirs = $(install_sh) -d
  97CONFIG_HEADER = $(top_builddir)/include/config.h
  98CONFIG_CLEAN_FILES =
  99CONFIG_CLEAN_VPATH_FILES =
 100am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libexecdir)" \
 101	"$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man8dir)"
 102PROGRAMS = $(bin_PROGRAMS) $(libexec_PROGRAMS)
 103am_rsh_OBJECTS = rsh.$(OBJEXT) common.$(OBJEXT)
 104rsh_OBJECTS = $(am_rsh_OBJECTS)
 105rsh_LDADD = $(LDADD)
 106am__DEPENDENCIES_1 =
 107am__DEPENDENCIES_2 = $(top_builddir)/lib/kafs/libkafs.la \
 108	$(am__DEPENDENCIES_1)
 109rsh_DEPENDENCIES = $(am__DEPENDENCIES_2) $(LIB_krb5) \
 110	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 111am_rshd_OBJECTS = rshd.$(OBJEXT) common.$(OBJEXT) \
 112	login_access.$(OBJEXT) limits_conf.$(OBJEXT)
 113rshd_OBJECTS = $(am_rshd_OBJECTS)
 114rshd_LDADD = $(LDADD)
 115rshd_DEPENDENCIES = $(am__DEPENDENCIES_2) $(LIB_krb5) \
 116	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 117depcomp = $(SHELL) $(top_srcdir)/depcomp
 118am__depfiles_maybe = depfiles
 119am__mv = mv -f
 120COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 121	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 122LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 123	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 124	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 125CCLD = $(CC)
 126LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 127	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 128	$(LDFLAGS) -o $@
 129SOURCES = $(rsh_SOURCES) $(rshd_SOURCES)
 130DIST_SOURCES = $(rsh_SOURCES) $(rshd_SOURCES)
 131am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 132am__vpath_adj = case $$p in \
 133    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
 134    *) f=$$p;; \
 135  esac;
 136am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
 137am__install_max = 40
 138am__nobase_strip_setup = \
 139  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
 140am__nobase_strip = \
 141  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
 142am__nobase_list = $(am__nobase_strip_setup); \
 143  for p in $$list; do echo "$$p $$p"; done | \
 144  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
 145  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
 146    if (++n[$$2] == $(am__install_max)) \
 147      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
 148    END { for (dir in files) print dir, files[dir] }'
 149am__base_list = \
 150  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
 151  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
 152man1dir = $(mandir)/man1
 153man8dir = $(mandir)/man8
 154MANS = $(man_MANS)
 155ETAGS = etags
 156CTAGS = ctags
 157DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 158ACLOCAL = @ACLOCAL@
 159AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
 160AMTAR = @AMTAR@
 161AR = @AR@
 162ASN1_COMPILE = @ASN1_COMPILE@
 163ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
 164AUTOCONF = @AUTOCONF@
 165AUTOHEADER = @AUTOHEADER@
 166AUTOMAKE = @AUTOMAKE@
 167AWK = @AWK@
 168CANONICAL_HOST = @CANONICAL_HOST@
 169CAPNG_CFLAGS = @CAPNG_CFLAGS@
 170CAPNG_LIBS = @CAPNG_LIBS@
 171CATMAN = @CATMAN@
 172CATMANEXT = @CATMANEXT@
 173CC = @CC@
 174CCDEPMODE = @CCDEPMODE@
 175CFLAGS = @CFLAGS@
 176COMPILE_ET = @COMPILE_ET@
 177CPP = @CPP@
 178CPPFLAGS = @CPPFLAGS@
 179CYGPATH_W = @CYGPATH_W@
 180DBHEADER = @DBHEADER@
 181DBLIB = @DBLIB@
 182DEFS = @DEFS@
 183DEPDIR = @DEPDIR@
 184DIR_com_err = @DIR_com_err@
 185DIR_hcrypto = @DIR_hcrypto@
 186DIR_hdbdir = @DIR_hdbdir@
 187DIR_roken = @DIR_roken@
 188DLLTOOL = @DLLTOOL@
 189DSYMUTIL = @DSYMUTIL@
 190DUMPBIN = @DUMPBIN@
 191ECHO_C = @ECHO_C@
 192ECHO_N = @ECHO_N@
 193ECHO_T = @ECHO_T@
 194EGREP = @EGREP@
 195EXEEXT = @EXEEXT@
 196FGREP = @FGREP@
 197GREP = @GREP@
 198GROFF = @GROFF@
 199INCLUDES_roken = @INCLUDES_roken@
 200INCLUDE_hcrypto = @INCLUDE_hcrypto@
 201INCLUDE_hesiod = @INCLUDE_hesiod@
 202INCLUDE_krb4 = @INCLUDE_krb4@
 203INCLUDE_libedit = @INCLUDE_libedit@
 204INCLUDE_libintl = @INCLUDE_libintl@
 205INCLUDE_openldap = @INCLUDE_openldap@
 206INCLUDE_readline = @INCLUDE_readline@
 207INCLUDE_sqlite3 = @INCLUDE_sqlite3@
 208INSTALL = @INSTALL@
 209INSTALL_DATA = @INSTALL_DATA@
 210INSTALL_PROGRAM = @INSTALL_PROGRAM@
 211INSTALL_SCRIPT = @INSTALL_SCRIPT@
 212INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
 213LD = @LD@
 214LDFLAGS = @LDFLAGS@
 215LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
 216LEX = @LEX@
 217LEXLIB = @LEXLIB@
 218LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
 219LIBADD_roken = @LIBADD_roken@
 220LIBOBJS = @LIBOBJS@
 221LIBS = @LIBS@
 222LIBTOOL = @LIBTOOL@
 223LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
 224LIB_NDBM = @LIB_NDBM@
 225LIB_XauFileName = @LIB_XauFileName@
 226LIB_XauReadAuth = @LIB_XauReadAuth@
 227LIB_XauWriteAuth = @LIB_XauWriteAuth@
 228LIB_bswap16 = @LIB_bswap16@
 229LIB_bswap32 = @LIB_bswap32@
 230LIB_com_err = @LIB_com_err@
 231LIB_com_err_a = @LIB_com_err_a@
 232LIB_com_err_so = @LIB_com_err_so@
 233LIB_crypt = @LIB_crypt@
 234LIB_db_create = @LIB_db_create@
 235LIB_dbm_firstkey = @LIB_dbm_firstkey@
 236LIB_dbopen = @LIB_dbopen@
 237LIB_dispatch_async_f = @LIB_dispatch_async_f@
 238LIB_dlopen = @LIB_dlopen@
 239LIB_dn_expand = @LIB_dn_expand@
 240LIB_dns_search = @LIB_dns_search@
 241LIB_door_create = @LIB_door_create@
 242LIB_freeaddrinfo = @LIB_freeaddrinfo@
 243LIB_gai_strerror = @LIB_gai_strerror@
 244LIB_getaddrinfo = @LIB_getaddrinfo@
 245LIB_gethostbyname = @LIB_gethostbyname@
 246LIB_gethostbyname2 = @LIB_gethostbyname2@
 247LIB_getnameinfo = @LIB_getnameinfo@
 248LIB_getpwnam_r = @LIB_getpwnam_r@
 249LIB_getsockopt = @LIB_getsockopt@
 250LIB_hcrypto = @LIB_hcrypto@
 251LIB_hcrypto_a = @LIB_hcrypto_a@
 252LIB_hcrypto_appl = @LIB_hcrypto_appl@
 253LIB_hcrypto_so = @LIB_hcrypto_so@
 254LIB_hesiod = @LIB_hesiod@
 255LIB_hstrerror = @LIB_hstrerror@
 256LIB_kdb = @LIB_kdb@
 257LIB_krb4 = @LIB_krb4@
 258LIB_libedit = @LIB_libedit@
 259LIB_libintl = @LIB_libintl@
 260LIB_loadquery = @LIB_loadquery@
 261LIB_logout = @LIB_logout@
 262LIB_logwtmp = @LIB_logwtmp@
 263LIB_openldap = @LIB_openldap@
 264LIB_openpty = @LIB_openpty@
 265LIB_otp = @LIB_otp@
 266LIB_pidfile = @LIB_pidfile@
 267LIB_readline = @LIB_readline@
 268LIB_res_ndestroy = @LIB_res_ndestroy@
 269LIB_res_nsearch = @LIB_res_nsearch@
 270LIB_res_search = @LIB_res_search@
 271LIB_roken = @LIB_roken@
 272LIB_security = @LIB_security@
 273LIB_setsockopt = @LIB_setsockopt@
 274LIB_socket = @LIB_socket@
 275LIB_sqlite3 = @LIB_sqlite3@
 276LIB_syslog = @LIB_syslog@
 277LIB_tgetent = @LIB_tgetent@
 278LIPO = @LIPO@
 279LN_S = @LN_S@
 280LTLIBOBJS = @LTLIBOBJS@
 281MAINT = @MAINT@
 282MAKEINFO = @MAKEINFO@
 283MANIFEST_TOOL = @MANIFEST_TOOL@
 284MKDIR_P = @MKDIR_P@
 285NM = @NM@
 286NMEDIT = @NMEDIT@
 287NO_AFS = @NO_AFS@
 288NROFF = @NROFF@
 289OBJDUMP = @OBJDUMP@
 290OBJEXT = @OBJEXT@
 291OTOOL = @OTOOL@
 292OTOOL64 = @OTOOL64@
 293PACKAGE = @PACKAGE@
 294PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 295PACKAGE_NAME = @PACKAGE_NAME@
 296PACKAGE_STRING = @PACKAGE_STRING@
 297PACKAGE_TARNAME = @PACKAGE_TARNAME@
 298PACKAGE_URL = @PACKAGE_URL@
 299PACKAGE_VERSION = @PACKAGE_VERSION@
 300PATH_SEPARATOR = @PATH_SEPARATOR@
 301PKG_CONFIG = @PKG_CONFIG@
 302PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
 303PTHREAD_LDADD = @PTHREAD_LDADD@
 304PTHREAD_LIBADD = @PTHREAD_LIBADD@
 305RANLIB = @RANLIB@
 306SED = @SED@
 307SET_MAKE = @SET_MAKE@
 308SHELL = @SHELL@
 309SLC = @SLC@
 310SLC_DEP = @SLC_DEP@
 311STRIP = @STRIP@
 312VERSION = @VERSION@
 313VERSIONING = @VERSIONING@
 314WFLAGS = @WFLAGS@
 315WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
 316WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
 317XMKMF = @XMKMF@
 318X_CFLAGS = @X_CFLAGS@
 319X_EXTRA_LIBS = @X_EXTRA_LIBS@
 320X_LIBS = @X_LIBS@
 321X_PRE_LIBS = @X_PRE_LIBS@
 322YACC = @YACC@
 323YFLAGS = @YFLAGS@
 324abs_builddir = @abs_builddir@
 325abs_srcdir = @abs_srcdir@
 326abs_top_builddir = @abs_top_builddir@
 327abs_top_srcdir = @abs_top_srcdir@
 328ac_ct_AR = @ac_ct_AR@
 329ac_ct_CC = @ac_ct_CC@
 330ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
 331am__include = @am__include@
 332am__leading_dot = @am__leading_dot@
 333am__quote = @am__quote@
 334am__tar = @am__tar@
 335am__untar = @am__untar@
 336bindir = @bindir@
 337build = @build@
 338build_alias = @build_alias@
 339build_cpu = @build_cpu@
 340build_os = @build_os@
 341build_vendor = @build_vendor@
 342builddir = @builddir@
 343datadir = @datadir@
 344datarootdir = @datarootdir@
 345docdir = @docdir@
 346dpagaix_cflags = @dpagaix_cflags@
 347dpagaix_ldadd = @dpagaix_ldadd@
 348dpagaix_ldflags = @dpagaix_ldflags@
 349dvidir = @dvidir@
 350exec_prefix = @exec_prefix@
 351host = @host@
 352host_alias = @host_alias@
 353host_cpu = @host_cpu@
 354host_os = @host_os@
 355host_vendor = @host_vendor@
 356htmldir = @htmldir@
 357includedir = @includedir@
 358infodir = @infodir@
 359install_sh = @install_sh@
 360libdir = @libdir@
 361libexecdir = @libexecdir@
 362localedir = @localedir@
 363localstatedir = @localstatedir@
 364mandir = @mandir@
 365mkdir_p = @mkdir_p@
 366oldincludedir = @oldincludedir@
 367pdfdir = @pdfdir@
 368prefix = @prefix@
 369program_transform_name = @program_transform_name@
 370psdir = @psdir@
 371sbindir = @sbindir@
 372sharedstatedir = @sharedstatedir@
 373srcdir = @srcdir@
 374subdirs = @subdirs@
 375sysconfdir = @sysconfdir@
 376target_alias = @target_alias@
 377top_build_prefix = @top_build_prefix@
 378top_builddir = @top_builddir@
 379top_srcdir = @top_srcdir@
 380SUFFIXES = .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
 381DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
 382AM_CPPFLAGS = $(INCLUDES_roken) -I$(srcdir)/../login \
 383	$(INCLUDE_hcrypto)
 384@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
 385AM_CFLAGS = $(WFLAGS)
 386CP = cp
 387buildinclude = $(top_builddir)/include
 388LIB_el_init = @LIB_el_init@
 389LIB_getattr = @LIB_getattr@
 390LIB_getpwent_r = @LIB_getpwent_r@
 391LIB_odm_initialize = @LIB_odm_initialize@
 392LIB_setpcred = @LIB_setpcred@
 393HESIODLIB = @HESIODLIB@
 394HESIODINCLUDE = @HESIODINCLUDE@
 395libexec_heimdaldir = $(libexecdir)/heimdal
 396NROFF_MAN = groff -mandoc -Tascii
 397LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
 398@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
 399@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
 400
 401@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
 402LIB_heimbase = $(top_builddir)/base/libheimbase.la
 403@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
 404man_MANS = rsh.1 rshd.8
 405rsh_SOURCES = rsh.c common.c rsh_locl.h
 406rshd_SOURCES = rshd.c common.c login_access.c limits_conf.c rsh_locl.h
 407LDADD = $(LIB_kafs) \
 408	$(LIB_krb5) \
 409	$(LIB_hcrypto) \
 410	$(LIB_roken)
 411
 412EXTRA_DIST = NTMakefile $(man_MANS)
 413all: all-am
 414
 415.SUFFIXES:
 416.SUFFIXES: .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .lo .o .obj
 417$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
 418	@for dep in $?; do \
 419	  case '$(am__configure_deps)' in \
 420	    *$$dep*) \
 421	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
 422	        && { if test -f $@; then exit 0; else break; fi; }; \
 423	      exit 1;; \
 424	  esac; \
 425	done; \
 426	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign appl/rsh/Makefile'; \
 427	$(am__cd) $(top_srcdir) && \
 428	  $(AUTOMAKE) --foreign appl/rsh/Makefile
 429.PRECIOUS: Makefile
 430Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
 431	@case '$?' in \
 432	  *config.status*) \
 433	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
 434	  *) \
 435	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
 436	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
 437	esac;
 438
 439$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 440	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 441
 442$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
 443	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 444$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
 445	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 446$(am__aclocal_m4_deps):
 447install-binPROGRAMS: $(bin_PROGRAMS)
 448	@$(NORMAL_INSTALL)
 449	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
 450	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
 451	for p in $$list; do echo "$$p $$p"; done | \
 452	sed 's/$(EXEEXT)$$//' | \
 453	while read p p1; do if test -f $$p || test -f $$p1; \
 454	  then echo "$$p"; echo "$$p"; else :; fi; \
 455	done | \
 456	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
 457	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
 458	sed 'N;N;N;s,\n, ,g' | \
 459	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
 460	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
 461	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
 462	    else { print "f", $$3 "/" $$4, $$1; } } \
 463	  END { for (d in files) print "f", d, files[d] }' | \
 464	while read type dir files; do \
 465	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
 466	    test -z "$$files" || { \
 467	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
 468	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
 469	    } \
 470	; done
 471
 472uninstall-binPROGRAMS:
 473	@$(NORMAL_UNINSTALL)
 474	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
 475	files=`for p in $$list; do echo "$$p"; done | \
 476	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
 477	      -e 's/$$/$(EXEEXT)/' `; \
 478	test -n "$$list" || exit 0; \
 479	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
 480	cd "$(DESTDIR)$(bindir)" && rm -f $$files
 481
 482clean-binPROGRAMS:
 483	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
 484	echo " rm -f" $$list; \
 485	rm -f $$list || exit $$?; \
 486	test -n "$(EXEEXT)" || exit 0; \
 487	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
 488	echo " rm -f" $$list; \
 489	rm -f $$list
 490install-libexecPROGRAMS: $(libexec_PROGRAMS)
 491	@$(NORMAL_INSTALL)
 492	test -z "$(libexecdir)" || $(MKDIR_P) "$(DESTDIR)$(libexecdir)"
 493	@list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
 494	for p in $$list; do echo "$$p $$p"; done | \
 495	sed 's/$(EXEEXT)$$//' | \
 496	while read p p1; do if test -f $$p || test -f $$p1; \
 497	  then echo "$$p"; echo "$$p"; else :; fi; \
 498	done | \
 499	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
 500	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
 501	sed 'N;N;N;s,\n, ,g' | \
 502	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
 503	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
 504	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
 505	    else { print "f", $$3 "/" $$4, $$1; } } \
 506	  END { for (d in files) print "f", d, files[d] }' | \
 507	while read type dir files; do \
 508	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
 509	    test -z "$$files" || { \
 510	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
 511	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
 512	    } \
 513	; done
 514
 515uninstall-libexecPROGRAMS:
 516	@$(NORMAL_UNINSTALL)
 517	@list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
 518	files=`for p in $$list; do echo "$$p"; done | \
 519	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
 520	      -e 's/$$/$(EXEEXT)/' `; \
 521	test -n "$$list" || exit 0; \
 522	echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
 523	cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
 524
 525clean-libexecPROGRAMS:
 526	@list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
 527	echo " rm -f" $$list; \
 528	rm -f $$list || exit $$?; \
 529	test -n "$(EXEEXT)" || exit 0; \
 530	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
 531	echo " rm -f" $$list; \
 532	rm -f $$list
 533rsh$(EXEEXT): $(rsh_OBJECTS) $(rsh_DEPENDENCIES) 
 534	@rm -f rsh$(EXEEXT)
 535	$(LINK) $(rsh_OBJECTS) $(rsh_LDADD) $(LIBS)
 536rshd$(EXEEXT): $(rshd_OBJECTS) $(rshd_DEPENDENCIES) 
 537	@rm -f rshd$(EXEEXT)
 538	$(LINK) $(rshd_OBJECTS) $(rshd_LDADD) $(LIBS)
 539
 540mostlyclean-compile:
 541	-rm -f *.$(OBJEXT)
 542
 543distclean-compile:
 544	-rm -f *.tab.c
 545
 546@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/common.Po@am__quote@
 547@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/limits_conf.Po@am__quote@
 548@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/login_access.Po@am__quote@
 549@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rsh.Po@am__quote@
 550@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rshd.Po@am__quote@
 551
 552.c.o:
 553@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
 554@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
 555@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 556@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 557@am__fastdepCC_FALSE@	$(COMPILE) -c $<
 558
 559.c.obj:
 560@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
 561@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
 562@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 563@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 564@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
 565
 566.c.lo:
 567@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
 568@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
 569@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 570@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 571@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
 572
 573mostlyclean-libtool:
 574	-rm -f *.lo
 575
 576clean-libtool:
 577	-rm -rf .libs _libs
 578install-man1: $(man_MANS)
 579	@$(NORMAL_INSTALL)
 580	test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
 581	@list=''; test -n "$(man1dir)" || exit 0; \
 582	{ for i in $$list; do echo "$$i"; done; \
 583	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
 584	  sed -n '/\.1[a-z]*$$/p'; \
 585	} | while read p; do \
 586	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
 587	  echo "$$d$$p"; echo "$$p"; \
 588	done | \
 589	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
 590	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
 591	sed 'N;N;s,\n, ,g' | { \
 592	list=; while read file base inst; do \
 593	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
 594	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
 595	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
 596	  fi; \
 597	done; \
 598	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
 599	while read files; do \
 600	  test -z "$$files" || { \
 601	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
 602	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
 603	done; }
 604
 605uninstall-man1:
 606	@$(NORMAL_UNINSTALL)
 607	@list=''; test -n "$(man1dir)" || exit 0; \
 608	files=`{ for i in $$list; do echo "$$i"; done; \
 609	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
 610	  sed -n '/\.1[a-z]*$$/p'; \
 611	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
 612	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
 613	test -z "$$files" || { \
 614	  echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
 615	  cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
 616install-man8: $(man_MANS)
 617	@$(NORMAL_INSTALL)
 618	test -z "$(man8dir)" || $(MKDIR_P) "$(DESTDIR)$(man8dir)"
 619	@list=''; test -n "$(man8dir)" || exit 0; \
 620	{ for i in $$list; do echo "$$i"; done; \
 621	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
 622	  sed -n '/\.8[a-z]*$$/p'; \
 623	} | while read p; do \
 624	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
 625	  echo "$$d$$p"; echo "$$p"; \
 626	done | \
 627	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
 628	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
 629	sed 'N;N;s,\n, ,g' | { \
 630	list=; while read file base inst; do \
 631	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
 632	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
 633	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
 634	  fi; \
 635	done; \
 636	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
 637	while read files; do \
 638	  test -z "$$files" || { \
 639	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
 640	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
 641	done; }
 642
 643uninstall-man8:
 644	@$(NORMAL_UNINSTALL)
 645	@list=''; test -n "$(man8dir)" || exit 0; \
 646	files=`{ for i in $$list; do echo "$$i"; done; \
 647	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
 648	  sed -n '/\.8[a-z]*$$/p'; \
 649	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
 650	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
 651	test -z "$$files" || { \
 652	  echo " ( cd '$(DESTDIR)$(man8dir)' && rm -f" $$files ")"; \
 653	  cd "$(DESTDIR)$(man8dir)" && rm -f $$files; }
 654
 655ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
 656	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
 657	unique=`for i in $$list; do \
 658	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 659	  done | \
 660	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
 661	      END { if (nonempty) { for (i in files) print i; }; }'`; \
 662	mkid -fID $$unique
 663tags: TAGS
 664
 665TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
 666		$(TAGS_FILES) $(LISP)
 667	set x; \
 668	here=`pwd`; \
 669	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
 670	unique=`for i in $$list; do \
 671	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 672	  done | \
 673	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
 674	      END { if (nonempty) { for (i in files) print i; }; }'`; \
 675	shift; \
 676	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
 677	  test -n "$$unique" || unique=$$empty_fix; \
 678	  if test $$# -gt 0; then \
 679	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
 680	      "$$@" $$unique; \
 681	  else \
 682	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
 683	      $$unique; \
 684	  fi; \
 685	fi
 686ctags: CTAGS
 687CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
 688		$(TAGS_FILES) $(LISP)
 689	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
 690	unique=`for i in $$list; do \
 691	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 692	  done | \
 693	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
 694	      END { if (nonempty) { for (i in files) print i; }; }'`; \
 695	test -z "$(CTAGS_ARGS)$$unique" \
 696	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
 697	     $$unique
 698
 699GTAGS:
 700	here=`$(am__cd) $(top_builddir) && pwd` \
 701	  && $(am__cd) $(top_srcdir) \
 702	  && gtags -i $(GTAGS_ARGS) "$$here"
 703
 704distclean-tags:
 705	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
 706
 707distdir: $(DISTFILES)
 708	@list='$(MANS)'; if test -n "$$list"; then \
 709	  list=`for p in $$list; do \
 710	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
 711	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
 712	  if test -n "$$list" && \
 713	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
 714	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
 715	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
 716	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
 717	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
 718	    exit 1; \
 719	  else :; fi; \
 720	else :; fi
 721	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 722	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 723	list='$(DISTFILES)'; \
 724	  dist_files=`for file in $$list; do echo $$file; done | \
 725	  sed -e "s|^$$srcdirstrip/||;t" \
 726	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 727	case $$dist_files in \
 728	  */*) $(MKDIR_P) `echo "$$dist_files" | \
 729			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
 730			   sort -u` ;; \
 731	esac; \
 732	for file in $$dist_files; do \
 733	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 734	  if test -d $$d/$$file; then \
 735	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 736	    if test -d "$(distdir)/$$file"; then \
 737	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 738	    fi; \
 739	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 740	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
 741	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 742	    fi; \
 743	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
 744	  else \
 745	    test -f "$(distdir)/$$file" \
 746	    || cp -p $$d/$$file "$(distdir)/$$file" \
 747	    || exit 1; \
 748	  fi; \
 749	done
 750	$(MAKE) $(AM_MAKEFLAGS) \
 751	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
 752	  dist-hook
 753check-am: all-am
 754	$(MAKE) $(AM_MAKEFLAGS) check-local
 755check: check-am
 756all-am: Makefile $(PROGRAMS) $(MANS) all-local
 757installdirs:
 758	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man8dir)"; do \
 759	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 760	done
 761install: install-am
 762install-exec: install-exec-am
 763install-data: install-data-am
 764uninstall: uninstall-am
 765
 766install-am: all-am
 767	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 768
 769installcheck: installcheck-am
 770install-strip:
 771	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 772	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 773	  `test -z '$(STRIP)' || \
 774	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
 775mostlyclean-generic:
 776
 777clean-generic:
 778
 779distclean-generic:
 780	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 781	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
 782
 783maintainer-clean-generic:
 784	@echo "This command is intended for maintainers to use"
 785	@echo "it deletes files that may require special tools to rebuild."
 786clean: clean-am
 787
 788clean-am: clean-binPROGRAMS clean-generic clean-libexecPROGRAMS \
 789	clean-libtool mostlyclean-am
 790
 791distclean: distclean-am
 792	-rm -rf ./$(DEPDIR)
 793	-rm -f Makefile
 794distclean-am: clean-am distclean-compile distclean-generic \
 795	distclean-tags
 796
 797dvi: dvi-am
 798
 799dvi-am:
 800
 801html: html-am
 802
 803html-am:
 804
 805info: info-am
 806
 807info-am:
 808
 809install-data-am: install-man
 810	@$(NORMAL_INSTALL)
 811	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
 812install-dvi: install-dvi-am
 813
 814install-dvi-am:
 815
 816install-exec-am: install-binPROGRAMS install-libexecPROGRAMS
 817	@$(NORMAL_INSTALL)
 818	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
 819install-html: install-html-am
 820
 821install-html-am:
 822
 823install-info: install-info-am
 824
 825install-info-am:
 826
 827install-man: install-man1 install-man8
 828
 829install-pdf: install-pdf-am
 830
 831install-pdf-am:
 832
 833install-ps: install-ps-am
 834
 835install-ps-am:
 836
 837installcheck-am:
 838
 839maintainer-clean: maintainer-clean-am
 840	-rm -rf ./$(DEPDIR)
 841	-rm -f Makefile
 842maintainer-clean-am: distclean-am maintainer-clean-generic
 843
 844mostlyclean: mostlyclean-am
 845
 846mostlyclean-am: mostlyclean-compile mostlyclean-generic \
 847	mostlyclean-libtool
 848
 849pdf: pdf-am
 850
 851pdf-am:
 852
 853ps: ps-am
 854
 855ps-am:
 856
 857uninstall-am: uninstall-binPROGRAMS uninstall-libexecPROGRAMS \
 858	uninstall-man
 859	@$(NORMAL_INSTALL)
 860	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
 861uninstall-man: uninstall-man1 uninstall-man8
 862
 863.MAKE: check-am install-am install-data-am install-exec-am \
 864	install-strip uninstall-am
 865
 866.PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
 867	clean clean-binPROGRAMS clean-generic clean-libexecPROGRAMS \
 868	clean-libtool ctags dist-hook distclean distclean-compile \
 869	distclean-generic distclean-libtool distclean-tags distdir dvi \
 870	dvi-am html html-am info info-am install install-am \
 871	install-binPROGRAMS install-data install-data-am \
 872	install-data-hook install-dvi install-dvi-am install-exec \
 873	install-exec-am install-exec-hook install-html install-html-am \
 874	install-info install-info-am install-libexecPROGRAMS \
 875	install-man install-man1 install-man8 install-pdf \
 876	install-pdf-am install-ps install-ps-am install-strip \
 877	installcheck installcheck-am installdirs maintainer-clean \
 878	maintainer-clean-generic mostlyclean mostlyclean-compile \
 879	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
 880	tags uninstall uninstall-am uninstall-binPROGRAMS \
 881	uninstall-hook uninstall-libexecPROGRAMS uninstall-man \
 882	uninstall-man1 uninstall-man8
 883
 884
 885install-suid-programs:
 886	@foo='$(bin_SUIDS)'; \
 887	for file in $$foo; do \
 888	x=$(DESTDIR)$(bindir)/$$file; \
 889	if chown 0:0 $$x && chmod u+s $$x; then :; else \
 890	echo "*"; \
 891	echo "* Failed to install $$x setuid root"; \
 892	echo "*"; \
 893	fi; done
 894
 895install-exec-hook: install-suid-programs
 896
 897install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
 898	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
 899	for f in $$foo; do \
 900		f=`basename $$f`; \
 901		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
 902		else file="$$f"; fi; \
 903		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
 904		: ; else \
 905			echo " $(CP) $$file $(buildinclude)/$$f"; \
 906			$(CP) $$file $(buildinclude)/$$f; \
 907		fi ; \
 908	done ; \
 909	foo='$(nobase_include_HEADERS)'; \
 910	for f in $$foo; do \
 911		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
 912		else file="$$f"; fi; \
 913		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
 914		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
 915		: ; else \
 916			echo " $(CP) $$file $(buildinclude)/$$f"; \
 917			$(CP) $$file $(buildinclude)/$$f; \
 918		fi ; \
 919	done
 920
 921all-local: install-build-headers
 922
 923check-local::
 924	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
 925	  foo=''; elif test '$(CHECK_LOCAL)'; then \
 926	  foo='$(CHECK_LOCAL)'; else \
 927	  foo='$(PROGRAMS)'; fi; \
 928	  if test "$$foo"; then \
 929	  failed=0; all=0; \
 930	  for i in $$foo; do \
 931	    all=`expr $$all + 1`; \
 932	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
 933	      echo "PASS: $$i"; \
 934	    else \
 935	      echo "FAIL: $$i"; \
 936	      failed=`expr $$failed + 1`; \
 937	    fi; \
 938	  done; \
 939	  if test "$$failed" -eq 0; then \
 940	    banner="All $$all tests passed"; \
 941	  else \
 942	    banner="$$failed of $$all tests failed"; \
 943	  fi; \
 944	  dashes=`echo "$$banner" | sed s/./=/g`; \
 945	  echo "$$dashes"; \
 946	  echo "$$banner"; \
 947	  echo "$$dashes"; \
 948	  test "$$failed" -eq 0 || exit 1; \
 949	fi
 950
 951.x.c:
 952	@cmp -s $< $@ 2> /dev/null || cp $< $@
 953
 954.hx.h:
 955	@cmp -s $< $@ 2> /dev/null || cp $< $@
 956#NROFF_MAN = nroff -man
 957.1.cat1:
 958	$(NROFF_MAN) $< > $@
 959.3.cat3:
 960	$(NROFF_MAN) $< > $@
 961.5.cat5:
 962	$(NROFF_MAN) $< > $@
 963.8.cat8:
 964	$(NROFF_MAN) $< > $@
 965
 966dist-cat1-mans:
 967	@foo='$(man1_MANS)'; \
 968	bar='$(man_MANS)'; \
 969	for i in $$bar; do \
 970	case $$i in \
 971	*.1) foo="$$foo $$i";; \
 972	esac; done ;\
 973	for i in $$foo; do \
 974		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
 975		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
 976		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
 977	done
 978
 979dist-cat3-mans:
 980	@foo='$(man3_MANS)'; \
 981	bar='$(man_MANS)'; \
 982	for i in $$bar; do \
 983	case $$i in \
 984	*.3) foo="$$foo $$i";; \
 985	esac; done ;\
 986	for i in $$foo; do \
 987		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
 988		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
 989		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
 990	done
 991
 992dist-cat5-mans:
 993	@foo='$(man5_MANS)'; \
 994	bar='$(man_MANS)'; \
 995	for i in $$bar; do \
 996	case $$i in \
 997	*.5) foo="$$foo $$i";; \
 998	esac; done ;\
 999	for i in $$foo; do \
1000		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
1001		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1002		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1003	done
1004
1005dist-cat8-mans:
1006	@foo='$(man8_MANS)'; \
1007	bar='$(man_MANS)'; \
1008	for i in $$bar; do \
1009	case $$i in \
1010	*.8) foo="$$foo $$i";; \
1011	esac; done ;\
1012	for i in $$foo; do \
1013		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
1014		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1015		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1016	done
1017
1018dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
1019
1020install-cat-mans:
1021	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1022
1023uninstall-cat-mans:
1024	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1025
1026install-data-hook: install-cat-mans
1027uninstall-hook: uninstall-cat-mans
1028
1029.et.h:
1030	$(COMPILE_ET) $<
1031.et.c:
1032	$(COMPILE_ET) $<
1033
1034#
1035# Useful target for debugging
1036#
1037
1038check-valgrind:
1039	tobjdir=`cd $(top_builddir) && pwd` ; \
1040	tsrcdir=`cd $(top_srcdir) && pwd` ; \
1041	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
1042
1043#
1044# Target to please samba build farm, builds distfiles in-tree.
1045# Will break when automake changes...
1046#
1047
1048distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1049	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1050	  if test "$$subdir" != .; then \
1051	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1052	  fi ; \
1053	done
1054
1055login_access.c:
1056	$(LN_S) $(srcdir)/../login/login_access.c .
1057
1058limits_conf.c:
1059	$(LN_S) $(srcdir)/../login/limits_conf.c .
1060
1061# Tell versions [3.59,3.63) of GNU make to not export all variables.
1062# Otherwise a system limit (for SysV at least) may be exceeded.
1063.NOEXPORT: